Bug 93745 - gtk3: UI - Writer letter wizard, Step 2, using headed paper, shows squashed spinbuttons
Summary: gtk3: UI - Writer letter wizard, Step 2, using headed paper, shows squashed s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1 target:5.3.6
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-28 13:07 UTC by Alex Thurgood
Modified: 2017-07-15 00:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
how it looks for me in latest 5-1 with gtk2 (46.23 KB, image/png)
2016-07-26 16:48 UTC, Caolán McNamara
Details
How it looks for me in latest 5.4alpha with gtk3 (42.84 KB, image/png)
2016-12-26 13:55 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2015-08-28 13:07:41 UTC
On master :

1) Start Letter wizard.

2) In step 1, choose Professional letter, "Office", then tick the "Use headed paper" option, click on Next.

3) In step 2, note how the resize dialogs for defining logo space and addressee space have no selection arrows.

regression
Comment 1 Alex Thurgood 2015-08-28 13:20:27 UTC
Arrows are present in LibreOffice 4432
Comment 2 Terrence Enger 2015-08-29 03:13:34 UTC
I am setting status NEW.


Working in the daily dbgutil bibisect repository, I see from 
`git bisect good` ...

    a34b4be8a2829ce615f2d47ec795077c04a18738 is the first bad commit
    commit a34b4be8a2829ce615f2d47ec795077c04a18738
    Author: Miklos Vajna <vmiklos@collabora.co.uk>
    Date:   Wed Aug 26 12:20:19 2015 +0200

        2015-08-26: source-hash-4f0bb271c300253d1812c6cccf813eff442a02db

    :100644 100644 007490349314e2ed3bf2ded4557a1c44c61ee04c 584876ea425d94fa91bcba906affe8c12440bfb7 M	build-info.txt
    :040000 040000 1c8577ddef94c333a9c9661a3dba68d54b6e9cce a8bab8f890bebd36d3b97098d6cb09b8fe1ac944 M	opt

and from `git bisect log` ...

    # bad: [1f94898a61f780e6b4dd2fd98a6941cf456a006b] 2015-08-28: source-hash-098f9189c603fe8b345d2e64f5579fd7f3e0ca05
    # good: [2b392af9c8f54629e3a3a98a8c92fa5af1c6722f] 2015-05-20: source-hash-90e2dabb8d0bb5382234be776c2ad0e2d5d9e224
    git bisect start '1f94898a61f780e6b4dd2fd98a6941cf456a006b' 'oldest'
    # good: [02f749eef951ff74ff6184cd0c5c13cc6e97f915] 2015-07-09: source-hash-85ce6a2446deb0f4c01604b6188f969603de9b16
    git bisect good 02f749eef951ff74ff6184cd0c5c13cc6e97f915
    # good: [567a84772a25278d7e30d4259f7cce71d9666f74] 2015-08-03: source-hash-71ace488448b64e6c4cd9065e109d2c9850b031a
    git bisect good 567a84772a25278d7e30d4259f7cce71d9666f74
    # good: [60d3c13dcbb3eb7af33a60eb34936fc955135129] 2015-08-15: source-hash-f089de7dc5c367a3123129b08a9050b3bacc4eba
    git bisect good 60d3c13dcbb3eb7af33a60eb34936fc955135129
    # good: [014607b4701296b81f095cc66bf31aea4e1c1dd7] 2015-08-21: source-hash-4385e2d3c42b54390cb27546f7fa1a19fca8e8c5
    git bisect good 014607b4701296b81f095cc66bf31aea4e1c1dd7
    # good: [9a14314f1a4144b1b61d14e5454eab556a7b0201] 2015-08-24: source-hash-b103e7d786f5b7ec6cfe4f53f2ca317f06ceabc5
    git bisect good 9a14314f1a4144b1b61d14e5454eab556a7b0201
    # bad: [a34b4be8a2829ce615f2d47ec795077c04a18738] 2015-08-26: source-hash-4f0bb271c300253d1812c6cccf813eff442a02db
    git bisect bad a34b4be8a2829ce615f2d47ec795077c04a18738
    # good: [4f23ac77327da6024dde887ac8eb70cf08d4e9c4] 2015-08-25: source-hash-ead5bc3cfb07a4e96e367e7904dc674ee5f5ccd6
    git bisect good 4f23ac77327da6024dde887ac8eb70cf08d4e9c4
    # first bad commit: [a34b4be8a2829ce615f2d47ec795077c04a18738] 2015-08-26: source-hash-4f0bb271c300253d1812c6cccf813eff442a02db
Comment 3 Robinson Tryon (qubit) 2015-12-13 11:13:07 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]
Comment 4 Caolán McNamara 2016-07-26 16:48:06 UTC
Created attachment 126419 [details]
how it looks for me in latest 5-1 with gtk2

Is this not what you see ?
Comment 5 Justin L 2016-12-26 13:55:31 UTC
Created attachment 129947 [details]
How it looks for me in latest 5.4alpha with gtk3

It looks terrible with SAL_USE_VCLPLUGIN=gtk3
Ubuntu 16.04 and LibreOffice 5.4alpha
Comment 6 Alex Thurgood 2017-07-13 08:58:00 UTC
@Caolan : If I  build master with an explicit "--disable-gtk3", then I can see what you see in your screenshot.

Version: 6.0.0.0.alpha0+
Build ID: 2a1a96033967bac7a323772bc876e9e44d3464d3
Threads CPU : 4; OS : Linux 4.8; UI Render : par défaut; VCL : gtk2; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group

If I build without this directive, then I still reproduce the problem on master with Linux Mint 18.2
Comment 7 Caolán McNamara 2017-07-13 11:59:54 UTC
Then it isnt really a regression
Comment 8 Commit Notification 2017-07-13 12:03:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d255fb191ef9e49939a5ef076afcc778d74a6507

Resolves: tdf#93745 gtk3 spinbuttons are wider than available space

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Adolfo Jayme 2017-07-15 00:51:59 UTC
Hopefully Red Hat will consider a normal spin-button design again for GTK+ 4. I’m sick of these oversized controls. If they wanted useful variation, they could’ve looked at how CorelDraw does it. (Personal opinion.)
Comment 10 Commit Notification 2017-07-15 00:53:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1b1f30eff01fa6fa2ea118dd871f635eda92598&h=libreoffice-5-4

Resolves: tdf#93745 gtk3 spinbuttons are wider than available space

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-07-15 00:54:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1f7d3819387c442b3acb54b09091dd116f28d5e&h=libreoffice-5-3

Resolves: tdf#93745 gtk3 spinbuttons are wider than available space

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.